%define version 0.7.3
%define release 1mdk

Summary:	A general purpose calculator and math tool
Name:		genius
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sciences/Mathematics
URL:		http://www.jirka.org/genius.html
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

Source:		http://ftp.5z.com/pub/%{name}/%{name}-%{version}.tar.bz2
Patch0:		%{name}-0.5.5-plugin-libtool-flag.patch.bz2
Patch1:		genius-0.7.2-automake18.patch.bz2

BuildRequires:	vte-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:	libglade2.0-devel
BuildRequires:	gtksourceview-devel
BuildRequires:	gmp-devel
BuildRequires:	readline-devel
BuildRequires:	termcap-devel
BuildRequires:	flex
BuildRequires:	bison
BuildRequires:	scrollkeeper
# the following stuffs are not necessary if not regenerating auto* stuff
BuildRequires:	intltool
BuildRequires:	automake1.8
BuildRequires:	gnome-common
Prereq:		shared-mime-info
Prereq:		scrollkeeper
Requires:	ghostscript

%description
Genius is an advanced calculator and a mathematical programming language.
It handles multiple precision floating point numbers, infinite precision
integers, complex numbers and matrixes.


%prep
%setup -q
%patch0 -p1 -b .no-version
%patch1 -p1 -b .automake18

# source is missing some files if auto* stuff are regen'ed
install -m 644 %{_datadir}/gnome-common/data/omf.make ./
install -m 644 %{_datadir}/gnome-common/data/xmldocs.make ./help/

# needed by patch0/1
AUTOMAKE=automake-1.8 ACLOCAL=aclocal-1.8 autoreconf --force --install

%build
%configure2_5x --enable-mpfr
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %{buildroot}/%{_datadir}/mime/XMLnamespaces
rm -f %{buildroot}/%{_datadir}/mime/globs
rm -f %{buildroot}/%{_datadir}/mime/magic

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<_EOF_
?package(%{name}): \
command="%{_bindir}/genius" \
icon="%{_datadir}/pixmaps/gnome-calc2.png" \
longtitle="Genius Mathematical Tool and Calculator" \
needs="x11" \
section="More Applications/Sciences/Mathematics" \
title="Genius math tool" \
startup_notify="yes"
_EOF_

%{find_lang} %{name} --with-gnome

# remove stuff not distributed
# pointless to include header, no plugin has been developed in 4 yrs
rm -rf $RPM_BUILD_ROOT%{_includedir}
rm -f $RPM_BUILD_ROOT%{_libdir}/genius/*.a \
      $RPM_BUILD_ROOT%{_libdir}/genius/*.la
rm -rf %{buildroot}%{_datadir}/mime/text
rm -rf %{buildroot}%{_datadir}/mime/subclasses
rm -rf %{buildroot}%{_datadir}/mime/aliases

%post
%update_menus
%{_bindir}/update-mime-database %{_datadir}/mime > /dev/null
[ -x %{_bindir}/scrollkeeper-update ] && %{_bindir}/scrollkeeper-update -q

%postun
%clean_menus
if [ "$1" = "0" ]; then %{_bindir}/update-mime-database %{_datadir}/mime; fi > /dev/null
[ -x %{_bindir}/scrollkeeper-update ] && %{_bindir}/scrollkeeper-update -q

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
#/usr/share/mime/aliases
#/usr/share/mime/subclasses
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}
%{_datadir}/application-registry/*
%{_datadir}/mime/packages/*
%{_datadir}/mime-info/*
%{_datadir}/omf/*
%{_iconsdir}/hicolor/*/apps/gnome-genius.png
%{_libdir}/%{name}
%{_libexecdir}/genius-readline-helper-fifo
%{_menudir}/%{name}

%changelog
* Fri Mar 25 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.7.3-1mdk
- 0.7.3

* Sun Mar 13 2005 Franck Villaume <fvill@freesurf.fr> 0.7.2-5mdk
- remove files for automatic rebuild

* Fri Feb 04 2005 Jerome Soyer <saispo@mandrake.org> 0.7.2-4mdk
- Rebuild new readline

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.2-3mdk 
- Rebuild with latest howl

* Thu Dec 30 2004 Abel Cheung <deaddog@mandrake.org> 0.7.2-2mdk
- Add scrollkeeper stuff

* Sat Dec 25 2004 Abel Cheung <deaddog@mandrake.org> 0.7.2-1mdk
- New version
- P1: switch to automake 1.8
- Remove restriction on gmp version, now it uses bundled mpfr library

* Fri Nov 12 2004 Götz Waschk <waschk@linux-mandrake.com> 0.7.1-4mdk
- fix buildrequires

* Fri Nov 12 2004 Götz Waschk <waschk@linux-mandrake.com> 0.7.1-3mdk
- remove generated files from %_datadir/mime/

* Sat Aug 21 2004 Abel Cheung <deaddog@deaddog.org> 0.7.1-2mdk 
- Update mime info in postin/un

* Fri Aug 20 2004 Jerome Soyer <saispo@mandrake.org> 0.7.1-1mdk
- 0.7.1

* Mon Aug 16 2004 Jerome Soyer <saispo@mandrake.org> 0.7.0-2mdk
- Fix menu

* Wed Aug 10 2004 Jerome Soyer <saispo@mandrake.org> 0.7.0-1mdk
- 0.7.0
- fix gcc 3.4 build

* Sat Apr 10 2004 Abel Cheung <deaddog@deaddog.org> 0.6.0-1mdk
- First Mandrake spec
- Patch0: Don't build versioned module
